Mailspring not working

I installed mailspring through the GitHub without any errors and it started well. Till I signed up, everything went smooth but the problem raised during my login it prompts like this and asks me to terminate otherwise.

Screenshot_20211220_175359

The following listed package is installed in my system and additional to that gnome-keyring also installed as mentioned in their forum.

http://support.getmailspring.com/hc/en-us/articles/115001875571

Please help me to solve this

Hi @hemanthch If you have libsecret installed (and rebooted).
Next thing to do is ask the Mailspring people. They are at GitHub - Foundry376/Mailspring: A beautiful, fast and fully open source mail client for Mac, Windows and Linux.. They need to know problems to improve their Mailspring. At the end of the page https://foundry376.zendesk.com/hc/en-us/articles/115001875571 they write: we recommend you email support@foundry376.com with a detailed description of the issue you are experiencing.
They need to know what OS you are on and what Gnome.

1 Like

Try deleting it and re-installing via Flathub.

That too not worked.

I encountered that problem with gnome

Hi @hemanthch The festivities are over and we will continue this talk. I am afraid it is a bug in Mailspring. As Gnome apps would mostly not use libsecret. Did you install from .rpm file or did you run it from source? Did the Mailspring people answer your email?

I just tried with flatpak from Flathub and it works when I use it as gmail mail client. Maybe you could try with flatpak from Flathub.

gnome-keyring-daemon --replace --foreground --components=secrets,ssh,pcks11

Does running that prior to running mailspring change anything?

Thanks

1 Like

I did installed through the rpm
Yeah maybe I jumped to Fedora 34 gnome and now it’s working flawlessly.

That might work as I haven’t installed the prior one from flathub.